# ResourceFinder (Luaj API)
Date: 2015-04-29

## org.luaj.vm2.lib
Interface ResourceFinder

All Known Implementing Classes:
  BaseLib, JseBaseLib

    public interface ResourceFinder

Interface for opening application resource files such as scripts sources.

This is used by required to load files that are part of the application, and implemented by BaseLib for both the Jme and Jse platforms.

The Jme version of base lib `BaseLib` implements `Globals.finder` via `Class.getResourceAsStream(String)`, while the Jse version `JseBaseLib` implements it using `File.File(String)`.

The io library does not use this API for file manipulation.

See Also:
  `BaseLib`, `Globals.finder`, `JseBaseLib`, `JmePlatform`, `JsePlatform`

Method Summary
`java.io.InputStream` `findResource(java.lang.String filename)` Try to open a file, or return null if not found.

Method Detail

### findResource

    java.io.InputStream findResource(java.lang.String filename)

  Try to open a file, or return null if not found.

  Parameters:
    `filename` -
  Returns:
    InputStream, or null if not found.
  See Also:
    `BaseLib`, `JseBaseLib`

Copyright © 2007-2015 Luaj.org. All Rights Reserved.